2 Replies Latest reply: May 6, 2012 3:43 AM by LittlePFish
LittlePFish Level 1 Level 1 (0 points)

Some games won't load on it they need the saoftware version 5.1. How can I change the software version on my ipod from 4.2.1 to 5.1?


iPod touch, iOS 4.2